%define ver_major 0.17
%def_enable debug
%define gtk_api_ver 2.0

Name: krb5-auth-dialog
Version: %ver_major
Release: alt1

Summary: Kerberos 5 authentication dialog
License: GPLv2+
Group: Graphical desktop/GNOME
Url: http://redhat.com

Packager: GNOME Maintainers Team <gnome@packages.altlinux.org>

Source: ftp://ftp.gnome.org/pub/gnome/sources/%name/%ver_major/%name-%version.tar.bz2

%define gtk_ver 2.16.0
%define nm_ver 0.5
%define dbus_ver 0.60
%define notify_ver 0.4

Requires(post,preun): GConf

BuildPreReq: libdbus-glib-devel >= %dbus_ver
BuildPreReq: libnotify-devel >= %notify_ver
BuildPreReq: NetworkManager-glib-devel >= %nm_ver
BuildRequires: flex libGConf-devel libkrb5-devel libcap-devel libpam-devel
BuildRequires: intltool perl-XML-Parser librarian gnome-doc-utils

%description
krb5-auth-dialog is a simple dialog that monitors kerberos tickets, and
pops up a dialog when they are about to expire.

%prep
%setup -q

%build
%configure \
	--disable-schemas-install \
	--enable-network-manager \
	--disable-static \
	%{?_enable_debug:--enable-debug=yes} \
	--with-gtk=%gtk_api_ver

%make_build

%install
%make DESTDIR=%buildroot install
%find_lang --with-gnome %name

%post
%gconf2_install %name

%preun
if [ $1 = 0 ]; then
%gconf2_uninstall %name
fi

%files -f %name.lang
%_bindir/*
%dir %_libdir/%name/plugins
%_libdir/%name/plugins/libka-plugin-dummy.so
%_libdir/%name/plugins/libka-plugin-pam.so
%_libdir/%name/plugins/libka-plugin-afs.so
%_datadir/%name
%_datadir/applications/%name-preferences.desktop
%_datadir/dbus-1/services/org.gnome.KrbAuthDialog.service
%_iconsdir/hicolor/*/*/*.*
%_sysconfdir/gconf/schemas/*.schemas
%_sysconfdir/xdg/autostart/*.desktop
%_man1dir/*
%doc AUTHORS ChangeLog NEWS README 

%exclude %_libdir/%name/plugins/*.la

%changelog
* Sun Sep 12 2010 Yuri N. Sedunov <aris@altlinux.org> 0.17-alt1
- 0.17

* Tue Jun 29 2010 Yuri N. Sedunov <aris@altlinux.org> 0.16-alt1
- 0.16

* Sat Apr 03 2010 Yuri N. Sedunov <aris@altlinux.org> 0.15-alt1
- 0.15

* Fri Nov 20 2009 Yuri N. Sedunov <aris@altlinux.org> 0.14-alt2
- patch to build against libnm-glib

* Sun Nov 01 2009 Yuri N. Sedunov <aris@altlinux.org> 0.14-alt1
- 0.14

* Thu Oct 29 2009 Yuri N. Sedunov <aris@altlinux.org> 0.13-alt2
- rebuild against new NetworkManager-glib

* Mon Sep 28 2009 Yuri N. Sedunov <aris@altlinux.org> 0.13-alt1
- 0.13
- updated buildreqs

* Tue May 26 2009 Yuri N. Sedunov <aris@altlinux.org> 0.10-alt1
- new version
- updated buildreqs

* Mon May 04 2009 Yuri N. Sedunov <aris@altlinux.org> 0.9.1-alt1
- first build for Sisyphus



